Package twisted :: Package protocols :: Module ftp :: Class FTPRealm

[frames | no frames]

## Class FTPRealm

Method Summary
| ``__init__`(self, tld, logout)` constructor
| `requestAvatar(self, avatarId, mind, *interfaces)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.cred.portal.IRealm at 0...`
`str` | `clientwd` = `'/'`
`NoneType` | `logout` = None
`NoneType` | `tld` = None
`str` | `user` = `'anonymous'`

Method Details

### __init__(self, tld=None, logout=None)
(Constructor)

constructor

  Parameters:
    `tld` - the top-level (i.e. root) directory on the server
    (type=string)
    `logout` - a special logout routine you want to be run when the user logs out (cleanup)
    (type=a function/method object)

  Attention: you *must* set tld somewhere before using the avatar!!

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.cred.portal.IRealm at 0x841916c>,)

### clientwd

  Type:
    `str`
  Value:

        '/'

### logout

  Type:
    `NoneType`
  Value:

        None

### tld

  Type:
    `NoneType`
  Value:

        None

### user

  Type:
    `str`
  Value:

        'anonymous'

Generated by Epydoc 2.0 on Sat May 15 20:08:13 2004 | http://epydoc.sf.net